{% extends "account/base.html" %}

{% load i18n static %}
{% load account socialaccount widget_tweaks %}


{% block title %}{% trans "Sign In" %}{% endblock title %}
{% block head_title %}{% trans "Sign In" %}{% endblock %}

{% block main_css %}
  {{ block.super }}
  <link rel="stylesheet" href="{% static 'theme_default/css/accounts.bundle.css' %}">
{% endblock main_css %}

{% block content %}

<div class="col-md-4 mx-auto">
  <div class="mb-4">
    <h2 class="display-7 text-center">{% trans "Welcome to" %} {{ server_settings.PROJECT_NAME }}</h2>
    <p class="login-box-msg text-center">{% trans "Sign in to your account to continue" %}</p>
  </div>
  
  {% if messages %}
  <!-- MESSAGES -->
  <section class="section section-messages">
    {% for message in messages %}
    <div class="p-3 mb-3 shadow-sm alert alert-{{ message.tags }} alert-dismissible fade show" role="alert">
      {{ message|capfirst }}
      <button type="button" class="btn-close btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
    </div>
    {% endfor %}
  </section>
  <!-- MESSAGES -->
  {% endif %}

  <form action="" method="POST" class="mb-3">
    {% csrf_token %}
    {% include 'account/snippets/form_error_list.html' with errors=form.non_field_errors %}
    {% include 'account/snippets/form_control.html' with field=form.login %}
    {% include 'account/snippets/form_control.html' with field=form.password %}
    <div class="row">
      <!-- /.col -->
      <div class="col-6 mb-3">
        <div class="icheck-primary">
          {% render_field form.remember class="me-1" %}
          <label for="{{ form.remember.name }}">
            {% trans "Remember Me" %}
          </label>
        </div>
      </div>
      <!-- /.col -->
      <div class="col-6 mb-3 text-end">
        <a class="mb-2 w-100" href="{% url 'account_reset_password' %}">{% trans "Forgot a password" %}</a>
      </div>
      <div class="col-12">
        <button class="btn btn-primary w-100" type="submit">{% trans "Sign In" %}</button>
      </div>
    </div>
  </form>

  {% include 'account/snippets/social_login.html' %}

  <div class="text-center small">
    {% trans "Don't have an account? " %}<a class="mb-2" href="{% url 'account_signup' %}" class="text-center">{% trans "Register a new account." %}</a>
  </div>
</div>




{% endblock %}
